import { FASTElementDefinition } from '@microsoft/fast-element';
export function tagFor(dependency) {
    if (typeof dependency === 'string') {
        return dependency;
    }
    if (typeof dependency === 'function') {
        dependency = FASTElementDefinition.forType(dependency);
        if (!dependency) {
            throw new Error('Missing FASTElement definition.');
        }
    }
    return dependency.name;
}
